Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2)

Side by Side Diff: src/scripts/build_tests.sh

Issue 1919005: Add some basic tests for metrics_daemon. (Closed) Base URL: ssh://git@chromiumos-git/chromeos
Patch Set: Address review comments. Created 10 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 2
3 # Copyright (c) 2009 The Chromium OS Authors. All rights reserved. 3 # Copyright (c) 2010 The Chromium OS Authors. All rights reserved.
4 # Use of this source code is governed by a BSD-style license that can be 4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file. 5 # found in the LICENSE file.
6 6
7 # Load common constants. This should be the first executable line. 7 # Load common constants. This should be the first executable line.
8 # The path to common.sh should be relative to your script's location. 8 # The path to common.sh should be relative to your script's location.
9 . "$(dirname "$0")/common.sh" 9 . "$(dirname "$0")/common.sh"
10 10
11 assert_not_root_user 11 assert_not_root_user
12 restart_in_chroot_if_needed $* 12 restart_in_chroot_if_needed $*
13 get_default_board 13 get_default_board
14 14
15 # Flags 15 # Flags
16 DEFINE_string build_root "$DEFAULT_BUILD_ROOT" \ 16 DEFINE_string build_root "$DEFAULT_BUILD_ROOT" \
17 "Root of build output" 17 "Root of build output"
18 DEFINE_string board "$DEFAULT_BOARD" \ 18 DEFINE_string board "$DEFAULT_BOARD" \
19 "Target board for which tests are to be built" 19 "Target board for which tests are to be built"
20 20
21 # Parse command line 21 # Parse command line
22 FLAGS "$@" || exit 1 22 FLAGS "$@" || exit 1
23 eval set -- "${FLAGS_ARGV}" 23 eval set -- "${FLAGS_ARGV}"
24 24
25 if [ -z "$FLAGS_board" ]; then 25 if [ -z "$FLAGS_board" ]; then
26 echo Error: --board required 26 echo Error: --board required
27 exit 1 27 exit 1
28 fi 28 fi
29 29
30 # Die on error; print commands 30 # Die on error; print commands
31 set -e 31 set -e
32 32
33 TEST_DIRS="crash pam_google window_manager cryptohome" 33 TEST_DIRS="
34 crash
35 cryptohome
36 metrics
37 pam_google
38 window_manager
39 "
34 40
35 sudo TEST_DIRS="${TEST_DIRS}" \ 41 sudo TEST_DIRS="${TEST_DIRS}" \
36 emerge-${FLAGS_board} chromeos-base/chromeos-unittests 42 emerge-${FLAGS_board} chromeos-base/chromeos-unittests
OLDNEW

Powered by Google App Engine
This is Rietveld 408576698